# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.adminsettings
Class AdminSettingsConstants

    java.lang.Object
      com.google.gdata.client.appsforyourdomain.adminsettings.AdminSettingsConstants

    public final class AdminSettingsConstants

extends java.lang.Object

Declarations of constants.

Field Summary
`static java.lang.String` `APPS_FEEDS_URL_BASE`
`static java.lang.String` `APPS_SETTINGS_ACCOUNT_URL_SUFFIX`
`static java.lang.String` `APPS_SETTINGS_APPEARANCE_URL_SUFFIX`
`static java.lang.String` `APPS_SETTINGS_GENERAL_URL_SUFFIX`
`static java.lang.String` `APPS_SSO_GENERAL_URL_SUFFIX`
`static java.lang.String` `APPS_SSO_SIGNING_URL_SUFFIX`
`static java.lang.String` `KEY_PROPERTY`
`static java.lang.String` `OUTBOUND_DOMAIN_HEADER_NAME`
`static java.lang.String` `OUTBOUND_DOMAIN_HEADER_VALUE`
`static java.lang.String` `OUTBOUND_EMAIL`
`static java.lang.String` `OUTBOUND_MAIL_FROM`
`static java.lang.String` `OUTBOUND_RCPT_TO`
`static java.lang.String` `OUTBOUND_SERVER`
`static java.lang.String` `OUTBOUND_SMTP_MODE`
`static java.lang.String` `PROP_SAML_CHANGEPWD`
`static java.lang.String` `PROP_SAML_DOMAIN_SPECIFIC_ISSUER`
`static java.lang.String` `PROP_SAML_ENABLE`
`static java.lang.String` `PROP_SAML_LOGOUT`
`static java.lang.String` `PROP_SAML_SIGNON`
`static java.lang.String` `PROP_SAML_WHITELIST`
`static java.lang.String` `SERVICE_VERSION`
`static java.lang.String` `TEST_EMAIL_ROUTE`
`static java.lang.String` `TEST_SMTPMODE`
`static java.lang.String` `TEST_VALUE_SAML_CHANGEPW`
`static java.lang.String` `TEST_VALUE_SAML_LOGOUT`
`static java.lang.String` `TEST_VALUE_SAML_SIGNON`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPS_FEEDS_URL_BASE

    public static final java.lang.String APPS_FEEDS_URL_BASE

See Also:
  Constant Field Values

### KEY_PROPERTY

    public static final java.lang.String KEY_PROPERTY

See Also:
  Constant Field Values

### APPS_SSO_GENERAL_URL_SUFFIX

    public static final java.lang.String APPS_SSO_GENERAL_URL_SUFFIX

See Also:
  Constant Field Values

### APPS_SSO_SIGNING_URL_SUFFIX

    public static final java.lang.String APPS_SSO_SIGNING_URL_SUFFIX

See Also:
  Constant Field Values

### APPS_SETTINGS_ACCOUNT_URL_SUFFIX

    public static final java.lang.String APPS_SETTINGS_ACCOUNT_URL_SUFFIX

See Also:
  Constant Field Values

### APPS_SETTINGS_GENERAL_URL_SUFFIX

    public static final java.lang.String APPS_SETTINGS_GENERAL_URL_SUFFIX

See Also:
  Constant Field Values

### APPS_SETTINGS_APPEARANCE_URL_SUFFIX

    public static final java.lang.String APPS_SETTINGS_APPEARANCE_URL_SUFFIX

See Also:
  Constant Field Values

### SERVICE_VERSION

    public static final java.lang.String SERVICE_VERSION

See Also:
  Constant Field Values

### OUTBOUND_SERVER

    public static final java.lang.String OUTBOUND_SERVER

See Also:
  Constant Field Values

### OUTBOUND_EMAIL

    public static final java.lang.String OUTBOUND_EMAIL

See Also:
  Constant Field Values

### OUTBOUND_SMTP_MODE

    public static final java.lang.String OUTBOUND_SMTP_MODE

See Also:
  Constant Field Values

### OUTBOUND_MAIL_FROM

    public static final java.lang.String OUTBOUND_MAIL_FROM

See Also:
  Constant Field Values

### OUTBOUND_RCPT_TO

    public static final java.lang.String OUTBOUND_RCPT_TO

See Also:
  Constant Field Values

### OUTBOUND_DOMAIN_HEADER_NAME

    public static final java.lang.String OUTBOUND_DOMAIN_HEADER_NAME

See Also:
  Constant Field Values

### OUTBOUND_DOMAIN_HEADER_VALUE

    public static final java.lang.String OUTBOUND_DOMAIN_HEADER_VALUE

See Also:
  Constant Field Values

### PROP_SAML_SIGNON

    public static final java.lang.String PROP_SAML_SIGNON

See Also:
  Constant Field Values

### PROP_SAML_LOGOUT

    public static final java.lang.String PROP_SAML_LOGOUT

See Also:
  Constant Field Values

### PROP_SAML_CHANGEPWD

    public static final java.lang.String PROP_SAML_CHANGEPWD

See Also:
  Constant Field Values

### PROP_SAML_ENABLE

    public static final java.lang.String PROP_SAML_ENABLE

See Also:
  Constant Field Values

### PROP_SAML_DOMAIN_SPECIFIC_ISSUER

    public static final java.lang.String PROP_SAML_DOMAIN_SPECIFIC_ISSUER

See Also:
  Constant Field Values

### PROP_SAML_WHITELIST

    public static final java.lang.String PROP_SAML_WHITELIST

See Also:
  Constant Field Values

### TEST_VALUE_SAML_SIGNON

    public static final java.lang.String TEST_VALUE_SAML_SIGNON

See Also:
  Constant Field Values

### TEST_VALUE_SAML_LOGOUT

    public static final java.lang.String TEST_VALUE_SAML_LOGOUT

See Also:
  Constant Field Values

### TEST_VALUE_SAML_CHANGEPW

    public static final java.lang.String TEST_VALUE_SAML_CHANGEPW

See Also:
  Constant Field Values

### TEST_EMAIL_ROUTE

    public static final java.lang.String TEST_EMAIL_ROUTE

See Also:
  Constant Field Values

### TEST_SMTPMODE

    public static final java.lang.String TEST_SMTPMODE

See Also:
  Constant Field Values